# Syntax

## Modify price alert

```
PUT /v{version}/users/{userId}/pricealerts/{alertId}
```

### Description

This API endpoint enables you to modify an existing price alert.

### Parameters

| Type       | Name                                                       | Description                                                                                                                          | Schema                                              | Default |
| ---------- | ---------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------- | ------- |
| **Header** | <p><strong>Authorization</strong><br><em>required</em></p> | This is the authorization token that you retrieved from the first endpoint (/token).                                                 | string                                              |         |
| **Path**   | <p><strong>alertId</strong><br><em>required</em></p>       | This is the internal identifier of the price alert that needs to be modified                                                         | integer (int32)                                     |         |
| **Path**   | <p><strong>userId</strong><br><em>required</em></p>        | This is the internal identifier of the user whose price alert will be modified.                                                      | integer (int32)                                     |         |
| **Path**   | <p><strong>version</strong><br><em>required</em></p>       | This is the version of the API. Unless you have multiple versions of AutoShares’s API deployed in your environment, leave it at 1.0. | string                                              | `"1"`   |
| **Body**   | <p><strong>body</strong><br><em>required</em></p>          | This is JSON data that contains updated information about the price alert.                                                           | [PriceAlertEditableModel](#pricealerteditablemodel) |         |

### Responses

| HTTP Code | Description                                                                                       | Schema                                      |
| --------- | ------------------------------------------------------------------------------------------------- | ------------------------------------------- |
| **200**   | Successful request, JSON data containing the updated price alert is returned.                     | [PriceAlertInfoModel](#pricealertinfomodel) |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation. | No Content                                  |
| **409**   | The body of the request is lacking one of the required parameters                                 | No Content                                  |
| **422**   | A validation error occurred while processing the request.                                         | No Content                                  |
| **500**   | Internal server error                                                                             | No Content                                  |

### Consumes

* `application/json`
* `text/json`

### Produces

* `application/json`
* `text/json`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.autoshares.dev/api-documentation/price-alerts/modify-price-alert/pricealerts_modifypricealerttrigger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
